/**
 ******************************************************************************
 * @project  Basic Switch Control
 * @author   Edward Ahn, Jim Jun
 * @version  V1.0.1
 * @date     26-MAY-2016
 * @brief    Digital Pin Control
*******************************************************************************
**/

const int buttonPin = 3;     // 스위치 선언
const int ledPin =  13;      // LED 선언

int buttonState = 0;         // 스위치의 상태를 확인할 변수 선언

void setup() {
  pinMode(ledPin, OUTPUT);   // LED는 Output으로 선언
  pinMode(buttonPin, INPUT); // 스위치는 Input으로 선언   

  // Open serial communications and wait for port to open:
  //SerialUSB.begin(9600);
  //while (!SerialUSB) {
  //  ; // wait for serial port to connect. Needed for Leonardo only
  //}
}

void loop(){
  buttonState = digitalRead(buttonPin); // 스위치의 상태를 읽는다.

  //SerialUSB.println(buttonState);
  if (buttonState == HIGH) // 스위치 ON
  {     
    digitalWrite(ledPin, HIGH);  
  } 
  else // 스위치 OFF
  {
    digitalWrite(ledPin, LOW); 
  }
}
